Bug 52664 - [4.8 Regression]: gcc.dg/tree-ssa/pr31261.c fails
Summary: [4.8 Regression]: gcc.dg/tree-ssa/pr31261.c fails
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.8.0
: P4 normal
Target Milestone: 4.8.5
Assignee: Not yet assigned to anyone
URL:
Keywords: missed-optimization
Depends on:
Blocks:
 
Reported: 2012-03-22 11:30 UTC by Georg-Johann Lay
Modified: 2015-03-06 22:41 UTC (History)
1 user (show)

See Also:
Host:
Target: avr
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georg-Johann Lay 2012-03-22 11:30:10 UTC
This is a new fail in the avr tests:

new (trunk 185603):

FAIL: gcc.dg/tree-ssa/pr31261.c scan-tree-dump-times original "return \(int\) \(12 - \(unsigned int\) d\) & 7;" 1

old (185059):

PASS: gcc.dg/tree-ssa/pr31261.c scan-tree-dump-times original "return \(int\) \(12 - \(unsigned int\) d\) & 7;" 1


GCC from SVN trunk 185603

It was created by configure, which was
generated by GNU Autoconf 2.64.  Invocation command line was

  $ ../../gcc.gnu.org/trunk/configure --target=avr
--prefix=/local/gnu/install/gcc-4.7 --disable-nls --with-dwarf2
--enable-checking=yes,rtl --enable-languages=c,c++
Comment 1 Richard Biener 2012-09-07 11:18:13 UTC
That's fold.
Comment 2 Jakub Jelinek 2013-03-22 14:43:10 UTC
GCC 4.8.0 is being released, adjusting target milestone.
Comment 3 Jakub Jelinek 2013-05-31 10:58:03 UTC
GCC 4.8.1 has been released.
Comment 4 Jakub Jelinek 2013-10-16 09:50:09 UTC
GCC 4.8.2 has been released.
Comment 5 Richard Biener 2014-05-22 09:02:20 UTC
GCC 4.8.3 is being released, adjusting target milestone.
Comment 6 Jakub Jelinek 2014-12-19 13:28:19 UTC
GCC 4.8.4 has been released.
Comment 7 Jeffrey A. Law 2015-03-06 22:41:35 UTC
Joern fixed the test a while back:

Author: amylaar <amylaar@138bc75d-0d04-0410-961f-82ee72b054a4>
Date:   Mon Aug 19 15:16:45 2013 +0000

            PR testsuite/52641
            * gcc.dg/tree-ssa/pr31261.c [int16]: Change expected unsigned type.
            * gcc.dg/tree-ssa/ssa-pre-21.c [! size32plus]: Mark as xfail.
            * gcc.dg/tree-ssa/vector-4.c (SItype): New typedef.
            (v4si): Use it.
            * gcc.dg/tree-ssa/ssa-pre-30.c: Test requires int32.
            * gcc.dg/tree-ssa/vrp58.c: Adjust scan expression for int16.